From 07d659046132216af496b6540cf5778057443ad2 Mon Sep 17 00:00:00 2001
From: Francois Andrieu <darknao@fedoraproject.org>
Date: Feb 06 2022 15:41:51 +0000
Subject: [PATCH 77/88] disable page-last-update ext for translated docs


---

diff --git a/build-scripts/rebuild-site.py b/build-scripts/rebuild-site.py
index 445dbde..d3ad055 100755
--- a/build-scripts/rebuild-site.py
+++ b/build-scripts/rebuild-site.py
@@ -433,6 +433,12 @@ def main():
                     else:
                         lang_site_yml["asciidoc"]["attributes"] = keywords[lang]
 
+                # disable page-last-update extension 
+                if "antora" in lang_site_yml and "extensions" lang_site_yml["antora"]:
+                  for ext in lang_site_yml["antora"]["extensions"]:
+                    if ext['id'] == "page-last-update":
+                      ext['enabled'] = False
+
                 filename = os.path.join(docs_repo, "site-{lang}.yml".format(lang=lang))
                 with open(filename, "w") as file:
                     file.write(yaml.dump(lang_site_yml))
